%define upstream_name    Crypt-Curve25519
%define upstream_version 0.05

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Generate shared secret using elliptic-curve Diffie-Hellman function
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel

%description
Curve25519 is a state-of-the-art Diffie-Hellman function suitable for a
wide variety of applications.

Given a user's 32-byte secret key, Curve25519 computes the user's 32-byte
public key. Given the user's 32-byte secret key and another user's 32-byte
public key, Curve25519 computes a 32-byte secret shared by the two users.
This secret can then be used to authenticate and encrypt messages between
the two users.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
# (tv) Fix ARM build:
sed -i 's!-m32!!' curve25519-donna-master/Makefile.PL
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc LICENSE
%doc META.json INSTALL Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Tue Jul 11 2017 bb2 <bb2> - 0.50.0-4pclos2017
- rebuild against updates

